<PixModal
  @title="Inscrire un candidat"
  @onCloseButtonClick={{@closeModal}}
  class="edit-recipient-email-modal"
  @showModal={{@showModal}}
>
  <:content>
    <form
      id="edit-recipient-email-form"
      class="edit-recipient-email-modal__form"
      {{on "submit" this.onFormSubmit}}
    >

      <div id="recipient-email-container" class="edit-recipient-email-modal__form__field">
        <label for="result-recipient-email" class="label">E-mail du destinataire des résultats (formateur,
          enseignant...)</label>
        <Input
          id="result-recipient-email"
          @type="email"
          class="input"
          @value={{@candidate.resultRecipientEmail}}
          {{on "input" (fn @updateCandidateData @candidate "resultRecipientEmail")}}
        />
        <div class="edit-recipient-email-modal__form__field__info-panel">
          <FaIcon @icon="info-circle" />
          <span>Si le champ n’est pas renseigné, les résultats ne seront pas transmis par mail pour le/les candidats
            concernés.<br />Le candidat verra ses résultats affichés directement sur son compte.</span>
        </div>
      </div>

    </form>
  </:content>
  <:footer>
    <PixButton
      aria-label="Fermer la modale d'ajout de candidat"
      @triggerAction={{@closeModal}}
      @backgroundColor="transparent-light"
      @isBorderVisible="true"
    >
      Fermer
    </PixButton>
    <PixButton
      @type="submit"
      @isLoading={{this.isLoading}}
      @isDisabled={{this.isLoading}}
      form="edit-recipient-email-form"
    >
      Inscrire le candidat
    </PixButton>
  </:footer>
</PixModal>